# PhasicFlow: src/phasicFlow/streams/token/token.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

token.hpp File Reference
Include dependency graph for token.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | token
| Token class based on OpenFOAM stream, with some modifications/simplifications to be tailored to our needs. More...
union | token::content
| A union of token types. More...

## Namespaces

| pFlow

## Functions

iOstream & | operator<< (iOstream &os, const token &tok)
iIstream & | operator>> (iIstream &is, token &tok)
iOstream & | operator<< (iOstream &os, const token::punctuationToken &pt)
std::ostream & | operator<< (std::ostream &os, const token::punctuationToken &pt)
std::ostream & | operator<< (std::ostream &os, const token &tok)
token | endListToken ()
token | beginListToken ()
token | endStatementToken ()
token | beginBlockToken ()
token | endBlocKToken ()
token | spaceToken ()
token | newLineToken ()